////////////////////////////////////////////////////////////////////////
//	vWFNg	:	Pʕϊ_CAO
//
//	t@C	:	Pʕϊ_CAÕ_CAO NX
//
//	J		:	Visual Studio 2010 (MFC)
//
//	@@		:	2012/ 1/17
//
//	@@		:	ElementTech  Hidetoshi Matsui
////////////////////////////////////////////////////////////////////////
#include "StdAfx.h"
#include "UnitDialog.h"
#include "UnitDialogDlg.h"
#include "AfxDialogEx.h"

//////////////////////////////////////////////////////////////////////
//		 [N fobOp̒`
//////////////////////////////////////////////////////////////////////
#ifdef _DEBUG
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
//		XR[v萔`
//////////////////////////////////////////////////////////////////////
const int	c_nUICtrlOffset = 10000;
const int	c_nUpDownOffset = 15000;

//////////////////////////////////////////////////////////////////////
//		f[^ GNX`FW
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

//////////////////////////////////////////////////////////////////////
//		Cxg bZ[W }bv`
//////////////////////////////////////////////////////////////////////
BEGIN_MESSAGE_MAP(CUnitDialogDlg, CDialogEx)
	ON_EN_CHANGE(IDC_EDIT14, &CUnitDialogDlg::OnEnChangeEdit14)
	ON_EN_CHANGE(IDC_EDIT16, &CUnitDialogDlg::OnEnChangeEdit16)
	ON_BN_CLICKED(IDCANCEL, &CUnitDialogDlg::OnBnClickedCancel)
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////
//		RXgN^ / fXgX^
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//	\bh	:	CUnitDialogDlg
//
//	@@@@\	:	NX̏s܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	g̃CX^X
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
CUnitDialogDlg::CUnitDialogDlg(CWnd* pParent) : CDialogEx(CUnitDialogDlg::IDD, pParent)
{
	// ACR[h
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	// o[̏
	m_hUnitVoltage		= NULL;
	m_hUnitAmpere		= NULL;
	m_hUnitReactance	= NULL;
	m_hUnitCapacity		= NULL;
	m_hUnitInductance	= NULL;
	m_hUnitSize			= NULL;
	m_hUnitArea			= NULL;
	m_hUnitTemperature	= NULL;
	m_hUnitAngle		= NULL;
	m_hUnitPower		= NULL;
	m_hUnitTorque		= NULL;
	m_hUnitYear			= NULL;
	m_hUnitPicture		= NULL;
	m_hUnitNewspaper	= NULL;
}


//////////////////////////////////////////////////////////////////////
//		veNebh \bh
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//	\bh	:	OnInitDialog
//
//	@@@@\	:	_CAÕCxgnh܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	BOOL
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
BOOL	CUnitDialogDlg::OnInitDialog()
{
	// W̏
	CDialogEx::OnInitDialog();

	// ACRݒ
	SetIcon(m_hIcon, TRUE);
	SetIcon(m_hIcon, FALSE);

	// dpUIǉ
	createUnitVoltage();

	// dpUIǉ
	createUnitAmpere();

	// dCRpUIǉ
	createUnitReactance();

	// ÓdeʗpUIǉ
	createUnitCapacity();

	// C_N^XpUIǉ
	createUnitInductance();

	// TCYpUIǉ
	createUnitSize();

	// ʐϗpUIǉ
	createUnitArea();

	// xpUIǉ
	createUnitTemperature();

	// pxpUIǉ
	createUnitAngle();

	// ͗pUIǉ
	createUnitPower();

	// gNpUIǉ
	createUnitTorque();

	// NpUIǉ
	createUnitYear();

	// 摜TCYpUIǉ
	createUnitPicture();

	// VTCYpUIǉ
	createUnitNewspaper();

	return TRUE;
}

//////////////////////////////////////////////////////////////////////
//		pubN \bh
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//	\bh	:	OnEnChangeEdit14
//
//	@@@@\	:	LZE{^̃Cxgs܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/20
//////////////////////////////////////////////////////////////////////
void	CUnitDialogDlg::OnEnChangeEdit14()
{
	// nh쐬ĂȂΉȂ
	if (m_hUnitPicture == NULL)	{
		return;
	}

	// 𑜓x擾
	int nDPI = GetDlgItemInt(IDC_EDIT14, NULL, FALSE);
	if (nDPI == 0)	{
		MessageBeep(MB_OK);
		return;
	}
	EL_UnitSetPictureResolution(m_hUnitPicture, nDPI);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	OnEnChangeEdit16
//
//	@@@@\	:	LZE{^̃Cxgs܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/20
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::OnEnChangeEdit16()
{
	// nh쐬ĂȂΉȂ
	if (m_hUnitNewspaper == NULL)	{
		return;
	}

	// 𑜓x擾
	int nDPI = GetDlgItemInt(IDC_EDIT16, NULL, FALSE);
	if (nDPI == 0)	{
		MessageBeep(MB_OK);
		return;
	}
	EL_UnitSetNewspaperResolution(m_hUnitNewspaper, nDPI);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	OnBnClickedCancel
//
//	@@@@\	:	LZE{^̃Cxgs܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::OnBnClickedCancel()
{
	// PʃRg[UI̍폜
	EL_UnitDeleteVoltageCtrl(m_hUnitVoltage);
	EL_UnitDeleteAmpereCtrl(m_hUnitAmpere);
	EL_UnitDeleteReactanceCtrl(m_hUnitReactance);
	EL_UnitDeleteCapacityCtrl(m_hUnitCapacity);
	EL_UnitDeleteInductanceCtrl(m_hUnitInductance);
	EL_UnitDeleteSizeCtrl(m_hUnitSize);
	EL_UnitDeleteAreaCtrl(m_hUnitArea);
	EL_UnitDeleteTemperatureCtrl(m_hUnitTemperature);
	EL_UnitDeleteAngleCtrl(m_hUnitAngle);
	EL_UnitDeletePowerCtrl(m_hUnitPower);
	EL_UnitDeleteTorqueCtrl(m_hUnitTorque);
	EL_UnitDeleteYearCtrl(m_hUnitYear);
	EL_UnitDeletePictureCtrl(m_hUnitPicture);
	EL_UnitDeleteNewspaperCtrl(m_hUnitNewspaper);

	// LZCxg̃ftHg
	CDialogEx::OnCancel();
}

//////////////////////////////////////////////////////////////////////
//		vCx[g \bh
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitVoltage
//
//	@@@@\	:	d̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitVoltage()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_VOLT_MCV, -1000000000000, 1000000000000, 1,
		EL_UNIT_VOLT_MIV, -1000000000, 1000000000, 1,
		EL_UNIT_VOLT_V,   -1000000, 10000000, 1,
		EL_UNIT_VOLT_KV,   -1000, 1000, 1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT1);
	m_hUnitVoltage = EL_UnitCreateVoltageCtrl(pWnd->m_hWnd, IDC_EDIT1 + c_nUICtrlOffset, 0, EL_UNIT_VOLT_V);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitVoltage, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitVoltage, IDC_EDIT1 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitAmpere
//
//	@@@@\	:	d̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitAmpere()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_AMPERE_MCA, -1000000000000, 1000000000000, 1,
		EL_UNIT_AMPERE_MIA, -1000000000, 1000000000, 1,
		EL_UNIT_AMPERE_A,   -1000000, 10000000, 1,
		EL_UNIT_AMPERE_KA,  -1000, 1000, 1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT2);
	m_hUnitAmpere = EL_UnitCreateAmpereCtrl(pWnd->m_hWnd, IDC_EDIT2 + c_nUICtrlOffset, 0, EL_UNIT_AMPERE_A);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitAmpere, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitAmpere, IDC_EDIT2 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitReactance
//
//	@@@@\	:	dCR̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitReactance()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_REACTANCE_R,  0, 100000000, 1,
		EL_UNIT_REACTANCE_KR, 0, 100000,    1,
		EL_UNIT_REACTANCE_MR, 0, 100,       1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT3);
	m_hUnitReactance = EL_UnitCreateReactanceCtrl(pWnd->m_hWnd, IDC_EDIT3 + c_nUICtrlOffset, 0, EL_UNIT_REACTANCE_R);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitReactance, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitReactance, IDC_EDIT3 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitCapacity
//
//	@@@@\	:	Ódeʂ̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitCapacity()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_CAPA_PF,  0, 1000000, 1,
		EL_UNIT_CAPA_MF, 0, 1000,    1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT4);
	m_hUnitCapacity = EL_UnitCreateCapacityCtrl(pWnd->m_hWnd, IDC_EDIT4 + c_nUICtrlOffset, 0, EL_UNIT_CAPA_MF);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitCapacity, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitCapacity, IDC_EDIT4 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitInductance
//
//	@@@@\	:	C_N^X̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitInductance()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_INDUCTANCE_MCH, 0, 1000000, 1,
		EL_UNIT_INDUCTANCE_MIH, 0, 1000,    1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT5);
	m_hUnitInductance = EL_UnitCreateInductanceCtrl(pWnd->m_hWnd, IDC_EDIT5 + c_nUICtrlOffset, 0, EL_UNIT_INDUCTANCE_MIH);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitInductance, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitInductance, IDC_EDIT5 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitSize
//
//	@@@@\	:	TCY̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitSize()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_SIZE_MM,  0, 100000, 1,
		EL_UNIT_SIZE_CM,  0, 1000,   1,
		EL_UNIT_SIZE_M,   0, 10,     1,
		EL_UNIT_SIZE_IN,  0, 200,    1,
	};

	// gpPʂݒ
	int nUnitTable[] = {EL_UNIT_SIZE_MM, EL_UNIT_SIZE_CM, EL_UNIT_SIZE_IN, 0};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT6);
	m_hUnitSize = EL_UnitCreateSizeCtrl(pWnd->m_hWnd, IDC_EDIT6 + c_nUICtrlOffset, 0, EL_UNIT_SIZE_CM, 1, nUnitTable);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitSize, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitSize, IDC_EDIT6 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitArea
//
//	@@@@\	:	ʐς̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitArea()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_AREA_M2,    0, 1000000000, 1,
		EL_UNIT_AREA_A,     0, 1000000000, 1,
		EL_UNIT_AREA_HA,    0, 100000,     1,
		EL_UNIT_AREA_TSUBO, 0, 302499553,  1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT7);
	m_hUnitArea = EL_UnitCreateAreaCtrl(pWnd->m_hWnd, IDC_EDIT7 + c_nUICtrlOffset, 0, EL_UNIT_AREA_M2);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitArea, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitArea, IDC_EDIT7 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitTemperature
//
//	@@@@\	:	x̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitTemperature()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_TEMP_C, 0, 100000, 1,
		EL_UNIT_TEMP_F, 0, 180032, 1,
		EL_UNIT_TEMP_K, 0, 100274, 1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT8);
	m_hUnitTemperature = EL_UnitCreateTemperatureCtrl(pWnd->m_hWnd, IDC_EDIT8 + c_nUICtrlOffset, 0, EL_UNIT_TEMP_C);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitTemperature, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitTemperature, IDC_EDIT8 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitAngle
//
//	@@@@\	:	px̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitAngle()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_ANGLE_DEGREE, 0, 359, 1,
		EL_UNIT_ANGLE_RADIAN, 0, 6.3, 0.1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT9);
	m_hUnitAngle = EL_UnitCreateAngleCtrl(pWnd->m_hWnd, IDC_EDIT9 + c_nUICtrlOffset, 0, EL_UNIT_ANGLE_DEGREE);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitAngle, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitAngle, IDC_EDIT9 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitPower
//
//	@@@@\	:	͂̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitPower()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_POWER_KW, 0,  73550, 1,
		EL_UNIT_POWER_PS, 0, 100000, 1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT10);
	m_hUnitPower = EL_UnitCreatePowerCtrl(pWnd->m_hWnd, IDC_EDIT10 + c_nUICtrlOffset, 0, EL_UNIT_POWER_PS);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitPower, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitPower, IDC_EDIT10 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitTorque
//
//	@@@@\	:	gN̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitTorque()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_TORQUE_KGM, 0,  1000, 1,
		EL_UNIT_TORQUE_NM,  0, 10000, 1,
	};

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT11);
	m_hUnitTorque = EL_UnitCreateTorqueCtrl(pWnd->m_hWnd, IDC_EDIT11 + c_nUICtrlOffset, 0, EL_UNIT_TORQUE_KGM);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitTorque, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitTorque, IDC_EDIT11 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitYear
//
//	@@@@\	:	N̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitYear()
{
	// ݂̐擾
	SYSTEMTIME	localTime;
	GetLocalTime(&localTime);

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT12);
	m_hUnitYear = EL_UnitCreateYearCtrl(pWnd->m_hWnd, IDC_EDIT12 + c_nUICtrlOffset, localTime.wYear, EL_UNIT_YEAR_AD);

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitYear, IDC_EDIT12 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitPicture
//
//	@@@@\	:	摜̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitPicture()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_PICTURE_PIXEL, 0, 65000, 1,
		EL_UNIT_PICTURE_INCH,  0, 65000, 1,
		EL_UNIT_PICTURE_CM,    0, 65000, 1,
		EL_UNIT_PICTURE_MM,    0, 65000, 1,
		EL_UNIT_PICTURE_POINT, 0, 65000, 1,
		EL_UNIT_PICTURE_PICA,  0, 65000, 1,
	};

	// 𑜓xݒ
	int nDPI = 96;
	SetDlgItemInt(IDC_EDIT14, nDPI, FALSE);

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT13);
	m_hUnitPicture = EL_UnitCreatePictureCtrl(pWnd->m_hWnd, IDC_EDIT13 + c_nUICtrlOffset, 0, EL_UNIT_PICTURE_PIXEL, nDPI);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitPicture, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitPicture, IDC_EDIT13 + c_nUpDownOffset);
}

//////////////////////////////////////////////////////////////////////
//	\bh	:	createUnitNewspaper
//
//	@@@@\	:	V̒PʕϊUI쐬ēo^܂B
//
//@p[^	:	Ȃ
//
//	߁@@l	:	Ȃ
//
//	@@	:	2012/ 1/17
//////////////////////////////////////////////////////////////////////
void CUnitDialogDlg::createUnitNewspaper()
{
	// Wݒ
	EL_UNIT_RANGE	prRange[] = {
		EL_UNIT_NEWSPAPER_PIXEL, 0, 84480000, 1,
		EL_UNIT_NEWSPAPER_MILS,  0,      880, 1,
		EL_UNIT_NEWSPAPER_UNIT,  0,       80, 1,
		EL_UNIT_NEWSPAPER_BAI,   0,       10, 1,
	};

	// _e[u쐬
	EL_UNIT_POINT	prPoint[] = {
		EL_UNIT_NEWSPAPER_PIXEL, 0,
		EL_UNIT_NEWSPAPER_MILS,  0,
		EL_UNIT_NEWSPAPER_UNIT,  1,
		EL_UNIT_NEWSPAPER_BAI,   2,
	};

	// 𑜓xݒ
	int nDPI = 96;
	SetDlgItemInt(IDC_EDIT16, nDPI, FALSE);

	// UIRg[쐬
	CWnd* pWnd = GetDlgItem(IDC_EDIT15);
	m_hUnitNewspaper = EL_UnitCreateNewspaperCtrl(pWnd->m_hWnd, IDC_EDIT14 + c_nUICtrlOffset, 0, EL_UNIT_NEWSPAPER_PIXEL, nDPI);

	// PʂƂ̃Wݒ
	EL_UnitSetRange(m_hUnitNewspaper, prRange, sizeof(prRange) / sizeof(EL_UNIT_RANGE));

	// Abv_ERg[ǉ
	EL_UnitAddUpDownCtrl(m_hUnitNewspaper, IDC_EDIT15 + c_nUpDownOffset);

	// PʂƂ̏_ݒ
	EL_UnitAddPointTable(m_hUnitNewspaper, prPoint, sizeof(prPoint) / sizeof(EL_UNIT_POINT));
}
